## unburden-home-dir 0.4.1.2

=== debian/changelog ===
unburden-home-dir (0.4.1.2) unstable; urgency=medium

  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + Drop --fail-missing from dh_install, it's now dh_missing's default.
  * Extend Makefile to also remove cloudflare crap and generally any
    occurrences of unneeded <script> tags from mkdocs-generated
    documentation. Documentation just doesn't need this! Thanks Lintian!
    + Uses pcregrep to catch multiline <script> tags. Add it as build-dep.
    + Drop recommends and symlink on mustache.js.
    + Also remove generated search form, search.html and search subfolder.
  * Drop debian/unburden-home-dir-doc.lintian-overrides, no more needed.
  * Drom ancient postinst/postrm/preinst files. They were handling a
    configuration file name change in 2012 and nowadays even cause lintian
    warnings.
  * Drop adequate as-installed test as adequate is no more maintained.
    + Also fixes lintian warning obsolete-runtime-tests-restriction.
  * Add lintian override for uses-deprecated-adttmp. This is a false
    positive, it detects the code to make it backwards compatible with
    autopkgtest < v4.
  * Remove mkdocs-generated, but completely useless sitemap.xml* files as
    they solely contain nonsense entries. Also fixes lintian warning
    compressed-duplicate.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 02 Jan 2021 07:45:27 +0100
