=== debian/changelog ===
unburden-home-dir (0.4.1.3) unstable; urgency=medium

  * Minor documentation updates. (Updated links to 3rd parties, removed
    no more working GitPitch stuff, etc.)
  * Update tests unnecessarily broken by usrmerge. (Closes: #997507)
  * Travis CI: stop testing again Perl "dev". It no more seems to exist.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Oct 2021 04:42:58 +0200
