## unburden-home-dir 0.4.2

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	env LC_ALL=C.UTF-8 mkdocs build --clean
 
 # Avoid any inclusion of either external or embedded JS code. Avoids
-# lintian warnings about privacy breaches.
+# privacy breaches (and lintian correctly warns about this).
 cleanthedocs: docs
 	find html -name '*.html' | while read file; do \
 		egrep -v '<link [^>]*href=.https?://[^/"]*/[^>]*>|<(img|script)[^>]*src="(https?:)?//|<link rel="stylesheet" href="\.\.?/css/highlight\.css">' "$$file" | \
@@ -43,12 +43,14 @@
 	prove --exec 'env    TMPDIR=/foo XDG_RUNTIME_DIR=/bar PERL5OPT=-MDevel::Cover=-ignore_re,^t/ perl' t/*.t
 
 cover: determine-coverage
-	cover -report html_basic
+	cover -select bin/unburden-home-dir -report html_basic
 
 coveralls: determine-coverage
-	cover -report coveralls
+	cover -select bin/unburden-home-dir -report coveralls
 codecov: determine-coverage
-	cover -report codecov
+	cover -select bin/unburden-home-dir -report codecov
+codecovbash: determine-coverage
+	cover -select bin/unburden-home-dir -report codecovbash
 
 install: unburden-home-dir.1
 	install -d $(DESTDIR)/etc/X11/Xsession.d/
