=== debian/changelog ===
unburden-home-dir (0.4.2) unstable; urgency=medium

  * Support %i in the FILELAYOUT configuration variable to insert the
    current numerical user id to allow one using /run/user/<numerical_id>/ as
    TARGETDIR.
  * Make documentation of the configuration file easier to grok.
  * Update "reburden" script link to point to the Wayback Machine. *sigh*
  * Fix a superfluous whitespace in output (and in the according tests).
  * Fix wrong file name order in output when creating symlinks after
    replacing files or directories.
  * Fix mkdocs deprecation warning by replacing "pages" by "nav". (Closes:
    #1009432)
  * Rephrase a comment in Makefile to be more precise.
  * Drop no more working Travis CI in favour of GitHub Actions.
    + Switch to using "cover -report codecovbash" instead of "… codecov".
  * Fix issues under test environments which have set $XDG_CONFIG_HOME.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Apr 2022 23:47:06 +0200
