=== debian/tests/control ===
Tests: prove
Depends: @, @builddeps@
